Required. The commit to use as the basis for the comparison.
Required. The commit to compare against the base commit.
Language

News entries

No news entry changes

New packages

NameVersion
swftools0.9.2-1.772e55aMore information
hydrus-network495More information
ecl-safe-read0.1-0.d25f085More information
daikichi0.3.0More information
python-mpv1.0.1More information
emacs-alarm-clock1.0.1More information
sbcl-safe-read0.1-0.d25f085More information
python-django-cleanup6.0.0More information
emacs-consult-org-roam0.1-0.9572c5bMore information
python-xvfbwrapper0.2.9More information
libgweather44.0.0More information
cl-safe-read0.1-0.d25f085More information
fortunes-jkirchartz0-0.2e32ba0More information
mmg5.6.0More information
emacs-tamil990.1.1More information
python-grid50001.2.3More information
emacs-drag-stuff0.3.0More information

Removed packages

NameVersion
fortune-mod3.14.0More information
rinutils0.10.1More information

Version changes

NameVersions
r-iranges
fet
emacs-subed
emacs-iter2
emacs-crdt
ruby-ffi
mupdf
wpewebkit
rust-regex
accountsservice
uncrustify
emacs-auctex
xxd
emacs-taxy-magit-section
emacs-org-contrib
python-cloudscraper
r-genomeinfodb
vim-full
r-keggrest
fennel
webkitgtk-with-libsoup2
zathura-pdf-mupdf
emacs-ob-sclang
webkitgtk
mercurial
rust-regex-syntax
vim
rr
imlib2
cmus
emacs-lpy
emacs-cider
wireshark
scons
gnome-maps
emacs-arduino-mode
ruby
babl

Lint warnings

accountsservice (version: 22.08.8)

LinterMessage
New warningwrapper-inputs

Make sure 'wrap-program' can finds its interpreter.

"bash-minimal" should be in 'inputs' when 'wrap-program' is used
New warninginput-labels

Identify input labels that do not match package names

label 'glib' does not match package name 'glib:bin'

cl-safe-read (version: 0.1-0.d25f085)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'sbcl-local-time' does not match package name 'cl-local-time'
New warninginput-labels

Identify input labels that do not match package names

label 'sbcl-trivial-garbage' does not match package name 'cl-trivial-garbage'

ecl-safe-read (version: 0.1-0.d25f085)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'sbcl-trivial-garbage' does not match package name 'ecl-trivial-garbage'
New warninginput-labels

Identify input labels that do not match package names

label 'sbcl-local-time' does not match package name 'ecl-local-time'

emacs-consult-org-roam (version: 0.1-0.9572c5b)

LinterMessage
New warningsource-file-name

Validate file names of sources

the source file name should contain the package name

ghc-statistics (version: 0.15.2.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

gnome-maps (version: 42.2)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'libgweather' does not match package name 'libgweather4'

gnupg (version: 2.2.36)

LinterMessage
Resolved warningmirror-url

Suggest 'mirror://' URLs

URL should be 'mirror://gnupg/gnupg/gnupg-2.2.36.tar.bz2'

hydrus-network (version: 495)

LinterMessage
New warningformatting

Look for formatting issues in the source

line 1084 is way too long (92 characters)

julia-arrayinterface (version: 3.1.19)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

julia-forwarddiff (version: 0.10.18)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

julia-interpolations (version: 0.13.3)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

julia-reversediff (version: 1.9.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

libgweather (version: 40.0)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'libsoup' does not match package name 'libsoup-minimal'
New warninginput-labels

Identify input labels that do not match package names

label 'glib' does not match package name 'glib:bin'

libgweather4 (version: 4.0.0)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'glib' does not match package name 'glib:bin'
New warningdescription

Validate package descriptions

description should start with an upper-case letter or digit

maven-wagon-provider-api (version: 3.4.3)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/3c03p4db0llmdsfki9d6pggr7g80wp0w-maven-wagon-provider-api-3.4.3 and /gnu/store/3h4b31b39f2d3nwvzalpkvk62krxwn95-maven-wagon-provider-api-3.4.3 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/n2nhx02mb8p341n1qbjcxdp93rbsrpli-maven-wagon-provider-api-3.4.3 and /gnu/store/gim3xia81y90m0gl9q5pqqhgpv7r7rls-maven-wagon-provider-api-3.4.3 collide

mmg (version: 5.6.0)

LinterMessage
New warningformatting

Look for formatting issues in the source

parentheses feel lonely, move to the previous or next line

nototools (version: 0.2.16)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide

proot (version: 5.3.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

proot-static (version: 5.3.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-afdko (version: 3.8.1)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide

python-cu2qu (version: 1.6.7.post1)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

python-defcon-bootstrap (version: 0.10.0)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

python-fontparts (version: 0.10.4)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide

python-fonttools (version: 4.32.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-fonttools (version: 4.28.5)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

python-jaraco-context (version: 4.1.1)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-jaraco-functools (version: 3.5.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-jupyter-client (version: 7.2.2)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-mutatormath (version: 3.0.1)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide

python-path (version: 16.4.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-pathpy (version: 16.4.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-pip-run (version: 8.8.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-sfdlib (version: 1.2.3)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

python-ufo2ft (version: 2.26.0)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

python-ufolib2 (version: 0.13.1)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

python-ufoprocessor (version: 1.9.0)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 and /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 collide

qtile (version: 0.18.1)

LinterMessage
New warningformatting

Look for formatting issues in the source

line 589 is way too long (95 characters)

realmd (version: 0.17.0)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'glib-bin' does not match package name 'glib:bin'
New warninginput-labels

Identify input labels that do not match package names

label 'glib' does not match package name 'glib:bin'

ruby-rubocop (version: 1.10.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

rust (version: 1.60.0)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

sddm (version: 0.19.0)

LinterMessage
New warningformatting

Look for formatting issues in the source

line 84 is way too long (98 characters)

weasyprint (version: 54.3)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/ljikp1b77nlqczssiajvfr1hyivrwln1-python-fonttools-4.28.5 collide
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/2kapnbyinsqd1r993m5045iiwgzah5vn-python-fonttools-4.28.5 and /gnu/store/2hrmwz0brkdfd1dk176nympsdmfyisw4-python-fonttools-4.28.5 collide

yt-dlp (version: 2022.08.08)

LinterMessage
Resolved warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

zathura-pdf-mupdf (version: 0.3.6)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'libjpeg' does not match package name 'libjpeg-turbo'